DMI_FIND_DEVICE(9)

NAME
dmi_find_device - find onboard device by type/name

SYNOPSIS

const struct dmi_device * dmi_find_device(int type, const char * name, const struct dmi_device * from);

ARGUMENTS

type
    device type or DMI_DEV_TYPE_ANY to match all device types

name
    device name string or NULL to match all

from
    previous device found in search, or NULL for new search.

DESCRIPTION

Iterates through the list of known onboard devices. If a device is found with a matching vendor and device, a pointer to its device structure is returned. Otherwise, NULL is returned. A new search is initiated by passing NULL as the from argument. If from is not NULL, searches continue from next device.

COPYRIGHT